using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_APICore.Models
{
    /// <summary>
    /// ERP推送操作锚点表
    /// </summary>
    [Table("r_ERPPutOperationAnchor")]
    public class ERPPutOperationAnchor
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Key]
        [DisplayName("内码")]
        public int FID { get; set; }

        /// <summary>
        /// 控制器内的方法名
        /// </summary>
        [DisplayName("执行方法名")]
        [StringLength(80)]
        public string FActionName { get; set; }

        /// <summary>
        /// 获取查询字段列表的关键字
        /// </summary>
        [DisplayName("查询类型")]
        [StringLength(80)]
        public string FDocType { get; set; }

        /// <summary>
        /// ERP单据编号
        /// </summary>
        [DisplayName("单据编号")]
        [StringLength(255)]
        public string FErpBillNo { get; set; }

        /// <summary>
        /// 操作状态 0 开始推送 1 推送结束
        /// </summary>
        [DisplayName("操作状态")]
        public int FOperation {  get; set; }

        /// <summary>
        /// 操作结果 0等待返回结果 1完成 2失败
        /// </summary>
        [DisplayName("操作结果")]
        public int FOperationResult { get; set; }

        [DisplayName("MES队列ID")]
        [StringLength(50)]
        public string QUEUE_ID { get; set; }
    }
}
